aboutsummaryrefslogtreecommitdiff
path: root/bin/cfr.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bin/cfr.sh')
-rw-r--r--bin/cfr.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/bin/cfr.sh b/bin/cfr.sh
new file mode 100644
index 00000000..9d13785c
--- /dev/null
+++ b/bin/cfr.sh
@@ -0,0 +1,24 @@
+# Count entries in a given set of directories
+
+# Iterate over remaining non-option arguments (directories); default to current
+# directory if none given
+for dir in "${@:-.}" ; do
+
+ # Attempt to count the files in a subshell
+ if count=$(
+ cd -- "$dir" || exit
+ find . ! -name . -exec printf %.sx {} + |
+ wc -c
+ ) ; then
+
+ # If it worked, print the count
+ printf '%u\t%s\n' "$count" "$dir"
+ else
+
+ # If not, set the error flag and continue
+ ex=1
+ fi
+done
+
+# Exit non-zero if a non-directory was given as an argument
+exit "${ex:-0}"